/* In diesem do-File
   werden die Stata-Beispiele für alle Artikel zur linearen Regression 
   vorbereitet. */
   
   
cd "C:\Users\Sebastian\Documents\MEZ\E-Learning\markdown\Methodenzentrum-E-Learning\Markdown_Dateien\Quanti\6_LinReg\"
   
use "data_linreg_v2.dta"

* Überblick über den Datensatz
describe

* Deskriptive Statistiken der verwendeten Variablen:
summarize punkte schlafdauer lernzeit
summarize punkte schlafdauer lernzeit, detail
tabulate nachhilfe

* Fehlende Werte über alle Variablen auszählen:
egen fehlt = rownonmiss(punkte schlafdauer lernzeit nachhilfe) //berechnet eine neue Variable "fehlt", die die Anzahl der fehlenden Werte in der Variablenliste enthält
tab fehlt

* Bivariate Zusammenhänge visualisieren:
scatter punkte schlafdauer
scatter punkte lernzeit
scatter punkte nachhilfe, xlabel(0 1) // Mit der Option xlabel wird angegeben, dass nur die Werte 0 und 1 auf der x-Achse abgetragen werden sollen.

* Bivariates Modell (Regression von Punkte auf Schlafdauer)
regress punkte schlafdauer
estimates store model_1

* Multivariates Modell (Regression von Punkte auf Schlafdauer und Lernzeit)
regress punkte schlafdauer lernzeit
estimates store model_2

* Modellvergleich
estimates table model_1 model_2, stats(N)
